summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authordarkside40 <darkside401@googlemail.com>2014-12-04 15:26:39 +0100
committerdarkside40 <darkside401@googlemail.com>2014-12-04 15:26:39 +0100
commita06dbe76cf325fd40e8ffc624eec47b1a51c4427 (patch)
treea282c7e815b074026388102cbe07bbaddce1de19 /bin
parentd0af1109fdfbec6c8846e09c14953b7bd785ee4e (diff)
Add sysvinit file
Diffstat (limited to 'bin')
-rwxr-xr-xbin/updater/sysvinit/owncloud-news-update61
1 files changed, 61 insertions, 0 deletions
diff --git a/bin/updater/sysvinit/owncloud-news-update b/bin/updater/sysvinit/owncloud-news-update
new file mode 100755
index 000000000..27142a2d0
--- /dev/null
+++ b/bin/updater/sysvinit/owncloud-news-update
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides: Owncloud News Update
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Owncloud News Custom Update script
+# Description: Owncloud News Custom Update script
+### END INIT INFO
+
+# Change the next 3 lines to suit where you install your script and what you want to call it
+DIR=/var/www/owncloud/apps/news/bin
+DAEMON=$DIR/updater.py
+DAEMON_NAME=owncloud-news-update
+
+# Add any command line options for your Update Script here. I suggest loading an config file which holds user, pass etc.
+DAEMON_OPTS="--config $DIR/config.ini"
+
+# This next line determines what user the script runs as.
+DAEMON_USER=nobody
+
+# The process ID of the script when it runs is stored here:
+PIDFILE=/var/run/$DAEMON_NAME.pid
+
+. /lib/lsb/init-functions
+
+do_start () {
+ log_daemon_msg "Starting system $DAEMON_NAME daemon"
+ start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfile --user $DAEMON_USER --$
+ log_end_msg $?
+}
+do_stop () {
+ log_daemon_msg "Stopping system $DAEMON_NAME daemon"
+ start-stop-daemon --stop --pidfile $PIDFILE --retry 10
+ log_end_msg $?
+}
+
+
+case "$1" in
+
+ start|stop)
+ do_${1}
+ ;;
+
+ restart|reload|force-reload)
+ do_stop
+ do_start
+ ;;
+
+ status)
+ status_of_proc "$DAEMON_NAME" "$DAEMON" && exit 0 || exit $?
+ ;;
+ *)
+ echo "Usage: /etc/init.d/$DAEMON_NAME {start|stop|restart|status}"
+ exit 1
+ ;;
+
+esac
+exit 0 \ No newline at end of file